c***********************************************************************
c     setdims.f: sets the dimensions
c***********************************************************************

      integer*4 function setdims()

      include 'fmodules.inc'

      setdims = 1

      if(decldim('nhru', 1,   MAXHRU,
     +   'Number of hydrologic response units').ne.0) return

      if(decldim('nobs', 1,   MAXOBS,
     +   'Number of stream measurement stations').ne.0) return

      if(decldim('nrain', 1,  MAXRAIN,
     +   'Number of rain gages').ne.0) return

      if(decldim('ntemp', 1,  MAXTEMP,
     +   'Number of temperature stations').ne.0) return

      if(decldim('nsol', 1,   MAXSOL,
     +   'Number of solar radiation stations').ne.0) return

!      if(decldim('nevap', 1,  MAXEVAP,
!     +   'Number of pan evaporation data sets').ne.0) return

      if(decldim('nsnow', 1,  MAXSNOPIL,
     +   'Number of snow measurement stations').ne.0) return

      if(decldim('nmonths', 12, MAXMO,
     +   'Number of months in a year').ne.0) return

      if(decldim('nsoils', 1,  MAXSOILS,
     +   'Number of soil types in the study area')
     +   .ne.0) return

      if(decldim('nlands',   1,  MAXLANDS,
     +   'Number of types of landuses in DPM')
     +   .ne.0) return

      if(decldim('nlayrsoil', 1,  MAXLAYERS,
     +   'MAX Number of 6" soil layers for the deepest soil')
     +   .ne.0) return

      if(declfix('ncoef', 6,   MAXCOEFS,
     +   'Number of coefficients for landuses (eg,root depth)')
     +   .ne.0) return

      if(decldim('nbsflw', 1,  MAXBSFLW, 
     +   'Number of baseflow time-series=1')
     +   .ne.0) return

      if(decldim('nbuds', 1,   MAXBUD, 
     +   'Number of water-budget items for printing=18')
     +   .ne.0) return

      if(decldim('nthru', 1,   MAXTHRU,
     +   'Number of thrufall stations used for model')
     +   .ne.0) return

      if(declfix('ndays', 366,  MAXDAY,
     +   'Number of days in a year').ne.0) return
 

      setdims = 0
      return
      end
